Package ru.bitel.bgbilling.modules.mps.server.bean.ws.paynet.com.provider.uws

# Class GetStatementArguments

java.lang.Object
ru.bitel.bgbilling.modules.mps.server.bean.ws.paynet.com.provider.uws.GenericArguments
ru.bitel.bgbilling.modules.mps.server.bean.ws.paynet.com.provider.uws.GetStatementArguments

    public class GetStatementArguments
    extends GenericArguments

Java class for GetStatementArguments complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="GetStatementArguments">
       <complexContent>
         <extension base="{http://uws.provider.com/}GenericArguments">
           <sequence>
             <element name="dateFrom" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
             <element name="dateTo" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
             <element name="serviceId" type="{http://www.w3.org/2001/XMLSchema}long"/>
             <element name="onlyTransactionId" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
             <element name="parameters" type="{http://uws.provider.com/}GenericParam" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected javax.xml.datatype.XMLGregorianCalendar` | `dateFrom` |
  `protected javax.xml.datatype.XMLGregorianCalendar` | `dateTo` |
  `protected java.lang.Boolean` | `onlyTransactionId` |
  `protected java.util.List<GenericParam>` | `parameters` |
  `protected long` | `serviceId` |

  ### Fields inherited from class ru.bitel.bgbilling.modules.mps.server.bean.ws.paynet.com.provider.uws.GenericArguments

  `password, username`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `GetStatementArguments()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `javax.xml.datatype.XMLGregorianCalendar` | `getDateFrom()` | Gets the value of the dateFrom property.
  `javax.xml.datatype.XMLGregorianCalendar` | `getDateTo()` | Gets the value of the dateTo property.
  `java.util.List<GenericParam>` | `getParameters()` | Gets the value of the parameters property.
  `long` | `getServiceId()` | Gets the value of the serviceId property.
  `java.lang.Boolean` | `isOnlyTransactionId()` | Gets the value of the onlyTransactionId property.
  `void` | `setDateFrom​(javax.xml.datatype.XMLGregorianCalendar value)` | Sets the value of the dateFrom property.
  `void` | `setDateTo​(javax.xml.datatype.XMLGregorianCalendar value)` | Sets the value of the dateTo property.
  `void` | `setOnlyTransactionId​(java.lang.Boolean value)` | Sets the value of the onlyTransactionId property.
  `void` | `setServiceId​(long value)` | Sets the value of the serviceId property.

  ### Methods inherited from class ru.bitel.bgbilling.modules.mps.server.bean.ws.paynet.com.provider.uws.GenericArguments

  `getPassword, getUsername, setPassword, setUsername`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### dateFrom

    protected javax.xml.datatype.XMLGregorianCalendar dateFrom

  - ### dateTo

    protected javax.xml.datatype.XMLGregorianCalendar dateTo

  - ### serviceId

    protected long serviceId

  - ### onlyTransactionId

    protected java.lang.Boolean onlyTransactionId

  - ### parameters

    protected java.util.List<GenericParam> parameters

- ## Constructor Details

  - ### GetStatementArguments

    public GetStatementArguments()

- ## Method Details

  - ### getDateFrom

    public javax.xml.datatype.XMLGregorianCalendar getDateFrom()
    Gets the value of the dateFrom property.
    Returns:
      possible object is `XMLGregorianCalendar`

  - ### setDateFrom

    public void setDateFrom​(javax.xml.datatype.XMLGregorianCalendar value)
    Sets the value of the dateFrom property.
    Parameters:
      `value` - allowed object is `XMLGregorianCalendar`

  - ### getDateTo

    public javax.xml.datatype.XMLGregorianCalendar getDateTo()
    Gets the value of the dateTo property.
    Returns:
      possible object is `XMLGregorianCalendar`

  - ### setDateTo

    public void setDateTo​(javax.xml.datatype.XMLGregorianCalendar value)
    Sets the value of the dateTo property.
    Parameters:
      `value` - allowed object is `XMLGregorianCalendar`

  - ### getServiceId

    public long getServiceId()
    Gets the value of the serviceId property.

  - ### setServiceId

    public void setServiceId​(long value)
    Sets the value of the serviceId property.

  - ### isOnlyTransactionId

    public java.lang.Boolean isOnlyTransactionId()
    Gets the value of the onlyTransactionId property.
    Returns:
      possible object is `Boolean`

  - ### setOnlyTransactionId

    public void setOnlyTransactionId​(java.lang.Boolean value)
    Sets the value of the onlyTransactionId property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### getParameters

    public java.util.List<GenericParam> getParameters()
    Gets the value of the parameters property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the parameters property.

    For example, to add a new item, do as follows:

            getParameters().add(newItem);

    Objects of the following type(s) are allowed in the list `GenericParam`